# $Revision: 1.22 $, $Date: 2012/03/05 06:27:16 $
Summary:	X.org video driver for video4linux cards
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart video4linux
Name:		xorg-driver-video-v4l
Version:	0.2.0
Release:	12
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-v4l-%{version}.tar.bz2
# Source0-md5:	2251ae2a0a905764941cd7b098e85ad1
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-util-util-macros >= 0.99.2
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for video4linux cards. It provides a Xvideo
extension port for video overlay. This driver works with every piece
of hardware which is supported by a video4linux (kernel-) device
driver and is able to handle video overlay. bt848/bt878-based TV cards
are the most popular hardware these days.

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart video4linux. Udostępnia port
rozszerzenia Xvideo dla nakładki obrazu. Działa z każdym kawałkiem
sprzętu obsługiwanym przez sterownik jądra video4linux, potrafiącym
obsłużyć nakładkę obrazu. Najpopularniejsze z nich to karty
telewizyjne bt848/bt878.

%prep
%setup -q -n xf86-video-v4l-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/v4l_drv.so
%{_mandir}/man4/v4l.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-v4l.spec,v $
Revision 1.22  2012/03/05 06:27:16  arekm
- release 12

Revision 1.21  2011/08/27 09:03:43  arekm
- release 11

Revision 1.20  2011/08/25 20:18:23  glen
- xorg-driver-video virtual for video drivers
- release 10

Revision 1.19  2011/02/27 08:34:18  arekm
- release 9

Revision 1.18  2010/11/10 19:11:29  shadzik
- rel up

Revision 1.17  2010/08/30 06:18:52  qboosh
- use requires_xorg_* macros in a way which allows to check rpm-build-macros BR first

Revision 1.16  2010/08/21 07:27:18  arekm
- release 7

Revision 1.15  2010/04/02 08:29:11  arekm
- release 6

Revision 1.14  2009/10/02 08:29:29  arekm
- release 5

Revision 1.13  2009/02/25 21:07:46  arekm
- release 4

Revision 1.12  2008/08/30 16:34:51  arekm
- release 3

Revision 1.11  2008/07/01 16:12:34  arekm
- release 2

Revision 1.10  2008-03-19 21:08:13  arekm
- up to 0.2.0

Revision 1.9  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.8  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.7  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.5  2006/04/11 13:27:58  qboosh
- updated to 0.1.1

Revision 1.4  2006/01/10 11:14:26  qboosh
- 0.0.1.5 (X11R7.0 release)

Revision 1.3  2005/12/08 15:09:04  qboosh
- 0.0.1.3 (X11R7.0-RC3)

Revision 1.2  2005/11/20 16:38:15  qboosh
- 0.0.1.2 (X11R7.0-RC2)

Revision 1.1  2005/10/31 00:42:08  qboosh
- new
